EPiServer CMS 9 and CMO compatibility

Vote:
 

Hi guys,

does anybody know when EPiServer CMO for EPiServer 9 will be released? We have a solution in EPiServer 8 using CMO and we would like to update it to CMS 9 but can't, becuase there is no compatible version available for CMS 9.

Any help will be appreciated.

Thanks

#140898
Nov 03, 2015 11:21
Vote:
 

Hi Tahir,

CMO is currently being updated to be compatible with EPiServer.CMS.*.9.0. We are expecting to publish the updated version within the next couple of weeks. Stay tuned.

#140900
Nov 03, 2015 13:12
Vote:
 

Thanks fredriktjarnberg. Waiting for the release :)

#140906
Nov 03, 2015 16:09
Vote:
 

Hi 

so we have a release but it doesn't add the connection string to the web config

HOW to install new clean episerver 9 with CMO ?!?

#141839
Nov 22, 2015 9:48
Vote:
 

Unfortunately the installation instructions for CMO are a bit complicated. In order to install CMO on a new project you need to start by installing a Episerver 7.5 site with CMO using Deployment Center. To get to the latest version you need to install nuget packages on the project and then upgrade to the latest version.

#141889
Nov 24, 2015 8:59
set
Vote:
 

Hi,

How it is possible to install CMO on a project that is NOT a new clean project and is already updated to CMS 9?

If it is not possible, when it will be?

Thanks

#142739
Dec 21, 2015 15:30
Vote:
 

Did you ever get a response to this?

#145221
Feb 29, 2016 14:49
Vote:
 

As I said in my previous post in this thread, the only way is to install it on an EPiServer 7.5 site and then upgrade it to the latest release. If you already have a previous version of the CMO nuget package installed, you can just upgrade it to the latest version.

#145224
Feb 29, 2016 16:25
Vote:
 

Fredrik, Yes, I saw that.  My response was directly to Set's post on December 21.

I have an site that is already on Episerver 9 and we are wondering what the roadmap is for getting Episerver CMO setup and isntalled without starting with the Deployment Center and Episerver 7.5.

Thank you.

#145227
Feb 29, 2016 17:10
Vote:
 

Thanks Fredrik,

We are very much looking foward to use the CMO features on a EPiServer 9 site aswell. However we are unable to use the workaround due to the nature of the install of the site. Are there any other options or is there a timeframe for the rollout of the definitive EPiServer 9 installation package nuget?

#145382
Mar 02, 2016 18:10
set
Vote:
 

Hi Jon!

I haven't got more feedback then on this page.

No workaround and no roadmap.

#145652
Mar 09, 2016 7:56
Vote:
 

"CMO is currently being updated to be compatible with EPiServer.CMS.*.9.0. We are expecting to publish the updated version within the next couple of weeks. Stay tuned."

Okay that was in novmeber 2015. What is the status now. Have you gotten any further?

#146686
Mar 21, 2016 14:58
Vote:
 

I have information on the roadmap, im not sure what I am allowed to share.  Shortly though, I know we will be seeing the new implementation that does not require starting with Episerver 7.5.

#146687
Mar 21, 2016 15:01
Vote:
 

that was quick, 

but are we talking weeks or months?

#146690
Mar 21, 2016 15:06
Vote:
 

My guess would be the Spring 2016 release.

#146691
Mar 21, 2016 15:07
Vote:
 

ok

thanks

#146692
Mar 21, 2016 15:08
Vote:
 

Hi, whats the timeline for the "CMO is currently being updated to be compatible with EPiServer.CMS.*.9.0......... "release? Anytime soon?

#155413
Sep 16, 2016 9:49
Vote:
 

As it is still not possible to do a clean install of CMO on EPiServer 9, as far as I know, you can use a solution I created for this purpose. You can find it at GitHub. It contains all files the you need.You will have to execute the SQL script manually, adjust the connectionstring and install the CMO package. But at least you won't have to go through the Deployment Center stuff as described above.

You could also use the NuGet package in the releases tab.

Hope it helps.

#155456
Sep 18, 2016 9:47
Vote:
 
#162849
Oct 18, 2016 10:16
This topic was created over six months ago and has been resolved. If you have a similar question, please create a new topic and refer to this one.
* You are NOT allowed to include any hyperlinks in the post because your account hasn't associated to your company. User profile should be updated.